import 'package:flutter/material.dart';

class CustomTable extends StatelessWidget {
  /// 单个单元格高度
  final double? tableHeight;

  /// 合并单元格下标
  final int? tableMarge;

  /// 表格的title
  final List tableTitle;

  /// 合并单元格的方向
  final Axis? tableAxis;

  /// 需要垂直方向的表格内容
  final List verticalTableContent;

  /// 需要水平方向的表格内容
  final List? horizontalTableContent;

  CustomTable({
    this.tableHeight: 30.0,
    this.tableMarge,
    required this.tableTitle,
    this.tableAxis: Axis.vertical,
    this.horizontalTableContent,
    required this.verticalTableContent,
  });
  @override
  Widget build(BuildContext context) {
    return SingleChildScrollView(
      child: Column(
        children: [
          Column(
            children: [
              Container(
                child: Row(
                  children: tableTitle.asMap().keys.map<Widget>((i) {
                    return Expanded(
                      child: Container(
                        height: tableHeight ?? 30.0,
                        decoration: BoxDecoration(
                          border: Border(
                            top: BorderSide(),
                            left: BorderSide(),
                            right: BorderSide(),
                            bottom: BorderSide(width: 2.0),
                          ),
                        ),
                        alignment: Alignment.center,
                        child: Text(
                          tableTitle[i],
                          style: TextStyle(
                            fontWeight: FontWeight.bold,
                          ),
                        ),
                      ),
                    );
                  }).toList(),
                ),
              ),
              Container(
                child: Column(
                  children: tableAxis == Axis.vertical
                      ? verticalTableContent.asMap().keys.map((x) {
                          return Row(
                            children: verticalTableContent[x]['content']
                                .asMap()
                                .keys
                                .map<Widget>((y) {
                              return Expanded(
                                child: Column(
                                  children: verticalTableContent[x]['content']
                                          [y]
                                      .map<Widget>((i) {
                                    return Container(
                                      height: tableMarge == y
                                          ? tableHeight! * 5
                                          : tableHeight!,
                                      decoration: BoxDecoration(
                                        border: Border(
                                          left: BorderSide(),
                                          right: BorderSide(),
                                          bottom: BorderSide(),
                                        ),
                                      ),
                                      alignment: Alignment.center,
                                      child: Text(i.toString()),
                                    );
                                  }).toList(),
                                ),
                              );
                            }).toList(),
                          );
                        }).toList()
                      : verticalTableContent.asMap().keys.map((x) {
                          return Column(
                            children: verticalTableContent[x]['content']
                                .asMap()
                                .keys
                                .map<Widget>((y) {
                              return Row(
                                children: verticalTableContent[x]['content'][y]
                                    .map<Widget>((i) {
                                  return Expanded(
                                    child: Container(
                                      height: tableHeight!,
                                      decoration: BoxDecoration(
                                        border: Border(
                                          left: BorderSide(),
                                          right: BorderSide(),
                                          bottom: BorderSide(),
                                        ),
                                      ),
                                      alignment: Alignment.center,
                                      child: Text(i.toString()),
                                    ),
                                  );
                                }).toList(),
                              );
                            }).toList(),
                          );
                        }).toList(),
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
